Bug 781953 - glusterd core dumps upon replace-brick with segfault
glusterd core dumps upon replace-brick with segfault
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-16 02:28 EST by shylesh
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 10:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-01-16 02:28:08 EST
Description of problem:
upon replace-brick start glusterd core dumps

Version-Release number of selected component (if applicable):
3.2.6qa1

How reproducible:
Always

Steps to Reproduce:
1.Created a volume using "gluster volume create $vol $brick"
2."gluster volume replace-brick $vol $brick $brick/dir1 start"

  
Actual results:
core dumped with segfault

Expected results:
should work properly

Additional info:
Program terminated with signal 11, Segmentation fault.
#0  0x00007f4d6e784b82 in glusterd_volume_brickinfo_get (uuid=<value optimized out>, hostname=<value optimized out>,
    path=0x8e848c "/export/sda/b1-test", volinfo=<value optimized out>, brickinfo=0x0) at glusterd-utils.c:751
751                                                     *brickinfo = brickiter;
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

(gdb) bt
#0  0x00007f4d6e784b82 in glusterd_volume_brickinfo_get (uuid=<value optimized out>, hostname=<value optimized out>, 
    path=0x8e848c "/export/sda/b1-test", volinfo=<value optimized out>, brickinfo=0x0) at glusterd-utils.c:751
#1  0x00007f4d6e784d73 in glusterd_brickinfo_get (uuid=0x0, hostname=0x8e8480 "10.1.11.119", 
    path=0x8e848c "/export/sda/b1-test", brickinfo=0x0) at glusterd-utils.c:2421
#2  0x00007f4d6e77c443 in glusterd_op_stage_replace_brick (dict=<value optimized out>, op_errstr=0x7fff27d17768, 
    rsp_dict=0x0) at glusterd-op-sm.c:961
#3  0x00007f4d6e77df0c in glusterd_op_stage_validate (op=<value optimized out>, dict=0x8e56c0, op_errstr=0x7fff27d17768, 
    rsp_dict=0x3b2118ae98) at glusterd-op-sm.c:7539
#4  0x00007f4d6e77f026 in glusterd_op_ac_send_stage_op (event=<value optimized out>, ctx=<value optimized out>)
    at glusterd-op-sm.c:6695
#5  0x00007f4d6e76750f in glusterd_op_sm () at glusterd-op-sm.c:8458
#6  0x00007f4d6e78eba3 in glusterd3_1_cluster_lock_cbk (req=<value optimized out>, iov=<value optimized out>, 
    count=<value optimized out>, myframe=0x7f4d6f4650b4) at glusterd-rpc-ops.c:779
#7  0x00007f4d703f7502 in rpc_clnt_handle_reply (clnt=0x8e77b0, pollin=<value optimized out>) at rpc-clnt.c:741
#8  0x00007f4d703f76fd in rpc_clnt_notify (trans=<value optimized out>, mydata=0x8e77e0, event=<value optimized out>, 
    data=0x3b2118ae98) at rpc-clnt.c:854
#9  0x00007f4d703f2317 in rpc_transport_notify (this=0x3b2118ae80, event=RPC_TRANSPORT_ACCEPT, data=0x3b2118ae98)
    at rpc-transport.c:919
#10 0x00007f4d6e4855ef in socket_event_poll_in (this=0x8e7970) at socket.c:1647
#11 0x00007f4d6e485798 in socket_event_handler (fd=<value optimized out>, idx=3, data=0x8e7970, poll_in=1, poll_out=0, 
    poll_err=0) at socket.c:1762
#12 0x00007f4d7063d631 in event_dispatch_epoll_handler (event_pool=0x8d7370) at event.c:794
#13 event_dispatch_epoll (event_pool=0x8d7370) at event.c:856
#14 0x000000000040566e in main (argc=1, argv=0x7fff27d18098) at glusterfsd.c:1509
Comment 1 Amar Tumballi 2012-03-12 05:46:27 EDT
please update these bugs w.r.to 3.3.0qa27, need to work on it as per target milestone set.
Comment 2 shylesh 2012-03-12 06:29:29 EDT
This is not reproducible on 3.3.0qa27

(In reply to comment #1)
> please update these bugs w.r.to 3.3.0qa27, need to work on it as per target
> milestone set.
Comment 3 Vijay Bellur 2013-01-08 00:59:09 EST
CHANGE: http://review.gluster.org/2648 (mgmt/glusterd: check brickinfo for NULL before dereferencing it) merged in release-3.2 by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.